Skip to main content
GET
/
discover-agents
Discover agents for a domain
curl --request GET \
  --url https://api.agentic.scope3.com/api/v2/storefront/discover-agents \
  --header 'Authorization: Bearer <token>'
{
  "domain": "<string>",
  "operator": {
    "domain": "<string>",
    "member": {
      "slug": "<string>",
      "display_name": "<string>"
    },
    "agents": [
      {
        "url": "<string>",
        "name": "<string>",
        "type": "<string>",
        "compliance": {},
        "storyboards": [
          "<unknown>"
        ],
        "authorized_by": [
          "<unknown>"
        ]
      }
    ]
  },
  "publisher": {
    "domain": "<string>",
    "member": {
      "slug": "<string>",
      "display_name": "<string>"
    },
    "adagents_valid": true,
    "properties": [
      {}
    ],
    "authorized_agents": [
      {}
    ]
  }
}

Authorizations

Authorization
string
header
required

API key or access token

Query Parameters

domain
string
required

Operator domain to discover agents for

Minimum string length: 1
refresh

Set to "true" to bypass the 2-minute server-side cache and refetch

Available options:
true

Response

Discover agents for a domain

domain
string
required
operator
object
required

Agents registered to this operator domain

publisher
object
required

Publisher record from the AAO registry or the adagents.json fallback